Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.protocol
Class Response

    java.lang.Object
      oasis.names.tc.saml._2_0.protocol.StatusResponseType
          oasis.names.tc.saml._2_0.protocol.Response

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class Response

extends StatusResponseType
implements Serializable

Java class for ResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}StatusResponseType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Assertion"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedAssertion"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Response()`

Method Summary
`List<Serializable>` | `getAssertionsAndEncryptedAssertions()` Gets the value of the assertionsAndEncryptedAssertions property.

Methods inherited from class oasis.names.tc.saml._2_0.protocol.StatusResponseType
`getConsent, getDestination, getExtensions, getID, getInResponseTo, getIssueInstant, getIssuer, getSignature, getStatus, getVersion, setConsent, setDestination, setExtensions, setID, setInResponseTo, setIssueInstant, setIssuer, setSignature, setStatus, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Response

    public Response()

Method Detail

### getAssertionsAndEncryptedAssertions

    public List<Serializable> getAssertionsAndEncryptedAssertions()

  Gets the value of the assertionsAndEncryptedAssertions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertionsAndEncryptedAssertions property.

  For example, to add a new item, do as follows:

          getAssertionsAndEncryptedAssertions().add(newItem);

  Objects of the following type(s) are allowed in the list `Assertion` `EncryptedElementType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.